RibbonsRenderer
Date: 2019-10-22

org.jmol.renderbio

## Class RibbonsRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.renderbio.BioShapeRenderer
    - - org.jmol.renderbio.StrandsRenderer
      - - org.jmol.renderbio.MeshRibbonRenderer
        - - org.jmol.renderbio.RibbonsRenderer

-     public class RibbonsRenderer
      extends MeshRibbonRenderer

- - ### Field Summary

    - ### Fields inherited from class org.jmol.renderbio.StrandsRenderer

      `baseStrandOffset, strandCount, strandSeparation`

    - ### Fields inherited from class org.jmol.renderbio.BioShapeRenderer

      `aspectRatio, bioShape, bsVisible, cartoonsFancy, colixBack, colixes, colixesBack, controlPoints, controlPointScreens, diameterBeg, diameterEnd, diameterMid, hermiteLevel, iNext, iNext2, iNext3, iPrev, isCarbohydrate, isHighRes, isNucleic, isPhosphorusOnly, leadAtomIndices, madBeg, madEnd, madMid, mads, meshRenderer, monomerCount, monomers, ribbonBottomScreens, ribbonTopScreens, structureTypes, wingVectors, wireframeOnly`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RibbonsRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `renderBioShape(BioShape bioShape)`

    - ### Methods inherited from class org.jmol.renderbio.MeshRibbonRenderer

      `render2Strand, renderMeshRibbon`

    - ### Methods inherited from class org.jmol.renderbio.StrandsRenderer

      `renderStrands, renderStrandShape, setStrandCount`

    - ### Methods inherited from class org.jmol.renderbio.BioShapeRenderer

      `calcScreenControlPoints, calcScreens, drawSegmentAB, getLeadColix, getLeadColixBack, render, renderHermiteArrowHead, renderHermiteConic, renderHermiteCylinder, renderHermiteRibbon, setBioColix, setColix, setNeighbors`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RibbonsRenderer

          public RibbonsRenderer()

  - ### Method Detail

    - #### renderBioShape

          protected void renderBioShape(BioShape bioShape)

      Overrides:
        `renderBioShape` in class `MeshRibbonRenderer`